%{?nodejs_find_provides_and_requires}

%global packagename dot-prop

# tests missing due to missing npm(ava)
%global enable_tests 0

Name:		nodejs-dot-prop
Version:	4.1.1
Release:	1%{?dist}
Summary:	Get, set, or delete a property from a nested object using a dot path

License:	MIT	
URL:		https://github.com/sindresorhus/dot-prop
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/sindresorhus/%{packagename}/v%{version}/test.js


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(is-obj)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Get, set, or delete a property from a nested object using a dot path


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun May  7 2017 Jared Smith <jsmith@fedoraproject.org> - 4.1.1-1
- Initial packaging
